/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workstaff.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import org.springframework.web.multipart.MultipartFile;

/**
 * 执业资格证书Entity
 * @author ssrh
 * @version 2018-07-27
 */
public class WorkStaffCertificate extends DataEntity<WorkStaffCertificate> {
	
	private static final long serialVersionUID = 1L;
	private String staffId;		// 员工ID
	private String name;		// 证书名称
	private String num;		// 证书编号
	private String issuingAuthority;		// 发证机关
	private Date issuingDate;		// 发证日期
	private Date registDate;		// 注册日期
	private String registNum;		// 注册证书编号
	private String major;		// 专业
	private String grade;		// 等级
	private String issType;		// 取得方式
	private String filePath;		// 文件
    private String fileName;		// 文件名
    private MultipartFile file;

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public MultipartFile getFile() {
        return file;
    }

    public void setFile(MultipartFile file) {
        this.file = file;
    }

    public WorkStaffCertificate() {
		super();
	}

	public WorkStaffCertificate(String id){
		super(id);
	}

	@ExcelField(title="员工ID", align=2, sort=7)
	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}
	
	@ExcelField(title="证书名称", align=2, sort=8)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="证书编号", align=2, sort=9)
	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}
	
	@ExcelField(title="发证机关", align=2, sort=10)
	public String getIssuingAuthority() {
		return issuingAuthority;
	}

	public void setIssuingAuthority(String issuingAuthority) {
		this.issuingAuthority = issuingAuthority;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="发证日期", align=2, sort=11)
	public Date getIssuingDate() {
		return issuingDate;
	}

	public void setIssuingDate(Date issuingDate) {
		this.issuingDate = issuingDate;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="注册日期", align=2, sort=12)
	public Date getRegistDate() {
		return registDate;
	}

	public void setRegistDate(Date registDate) {
		this.registDate = registDate;
	}
	
	@ExcelField(title="注册证书编号", align=2, sort=13)
	public String getRegistNum() {
		return registNum;
	}

	public void setRegistNum(String registNum) {
		this.registNum = registNum;
	}
	
	@ExcelField(title="专业", align=2, sort=14)
	public String getMajor() {
		return major;
	}

	public void setMajor(String major) {
		this.major = major;
	}
	
	@ExcelField(title="等级", align=2, sort=15)
	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}
	
	@ExcelField(title="取得方式", align=2, sort=16)
	public String getIssType() {
		return issType;
	}

	public void setIssType(String issType) {
		this.issType = issType;
	}
	
	@ExcelField(title="文件", align=2, sort=17)
	public String getFilePath() {
		return filePath;
	}

	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}
	
}